varying highp vec2 coordinate;
uniform sampler2D textures[4];
uniform int numTextures;
uniform int newestTextureIndex;


void main()
{
	if(numTextures==1) {
		gl_FragColor = texture2D(textures[newestTextureIndex],coordinate);
	}
	else {
		lowp vec4 combinedColor = 0.5*texture2D(textures[newestTextureIndex],coordinate);
		
		for (int i=0; i<numTextures; i++) {
			if(i!=newestTextureIndex) {
				combinedColor += texture2D(textures[i],coordinate)*0.5/float(numTextures-1);
			}
		}
		gl_FragColor = combinedColor;
	}
}

